package com.uoc.textiller.service;

import java.util.List;

import com.uoc.textiller.model.Proces;

import org.springframework.data.domain.Page;

/**
 * Servei per als mètodes de Proces
 * @author lrodriguezmos@uoc
 */
public interface ProcesService {
    
    public Proces findById(Long id);
    public Proces findByNom(String nom);
    public List<Proces> getProcessosList();

    public Proces save(Proces proces);
    public void remove(Long id);

    public boolean existsNom(String nom);

    public List<Proces> findByKeyword(String keyword);
    public Page<Proces> findPaginated(int pageNo, int pageSize);

    public boolean hasEscandalls(Long id);
}
