-- --------------------------------------------------------
-- Host:                         aa1kno0ytzd3u6w.cnxa7va50n0q.us-east-2.rds.amazonaws.com
-- Versión del servidor:         8.0.23 - Source distribution
-- SO del servidor:              Linux
-- HeidiSQL Versión:             11.1.0.6116
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- Volcando estructura para tabla ebdb.composicio
DROP TABLE IF EXISTS `composicio`;
CREATE TABLE IF NOT EXISTS `composicio` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `percentatge` int NOT NULL,
  `id_material` bigint NOT NULL,
  `id_teixit` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK1pgcs9fx7h15r4oidl5dbhy91` (`id_material`,`id_teixit`),
  KEY `FK6l8p4eh0yldrtytyh848w90fx` (`id_teixit`),
  CONSTRAINT `FK6l8p4eh0yldrtytyh848w90fx` FOREIGN KEY (`id_teixit`) REFERENCES `teixits` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FKdk0cebftobeojwwk6qmuayjys` FOREIGN KEY (`id_material`) REFERENCES `materials` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.composicio: ~4 rows (aproximadamente)
/*!40000 ALTER TABLE `composicio` DISABLE KEYS */;
INSERT INTO `composicio` (`id`, `percentatge`, `id_material`, `id_teixit`) VALUES
	(1, 100, 15, 1),
	(2, 100, 15, 2),
	(3, 90, 15, 3),
	(4, 10, 5, 3);
/*!40000 ALTER TABLE `composicio` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.escandalls
DROP TABLE IF EXISTS `escandalls`;
CREATE TABLE IF NOT EXISTS `escandalls` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `data` date NOT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  `nom` varchar(32) NOT NULL,
  `referencia` varchar(8) DEFAULT NULL,
  `id_usuari` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_fvpqheiiq2ny7ca10hlh0x3ep` (`nom`),
  KEY `FK8kcr9k0m2giahhsry1hq2p2ii` (`id_usuari`),
  CONSTRAINT `FK8kcr9k0m2giahhsry1hq2p2ii` FOREIGN KEY (`id_usuari`) REFERENCES `usuaris` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.escandalls: ~2 rows (aproximadamente)
/*!40000 ALTER TABLE `escandalls` DISABLE KEYS */;
INSERT INTO `escandalls` (`id`, `data`, `descripcio`, `nom`, `referencia`, `id_usuari`) VALUES
	(2, '2021-12-16', 'Samarreta estàndar blanca de màniga curta.', 'Samarreta Wheat', 'E0000002', 1),
	(3, '2021-12-16', 'Pantalons denim blaus.', 'Pantalons Vecko', 'E0000003', 1);
/*!40000 ALTER TABLE `escandalls` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.escandall_fornitura
DROP TABLE IF EXISTS `escandall_fornitura`;
CREATE TABLE IF NOT EXISTS `escandall_fornitura` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `total` int NOT NULL,
  `id_escandall` bigint NOT NULL,
  `id_fornitura` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UKbaedo9kv7i4xs8ql9srafp095` (`id_escandall`,`id_fornitura`),
  KEY `FKlf80rvbebgqxiueyjghihjf6l` (`id_fornitura`),
  CONSTRAINT `FK8py5hgiy0ocrbg37qhgl5j2xh` FOREIGN KEY (`id_escandall`) REFERENCES `escandalls` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FKlf80rvbebgqxiueyjghihjf6l` FOREIGN KEY (`id_fornitura`) REFERENCES `fornitures` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.escandall_fornitura: ~1 rows (aproximadamente)
/*!40000 ALTER TABLE `escandall_fornitura` DISABLE KEYS */;
INSERT INTO `escandall_fornitura` (`id`, `total`, `id_escandall`, `id_fornitura`) VALUES
	(2, 4, 3, 1);
/*!40000 ALTER TABLE `escandall_fornitura` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.escandall_proces
DROP TABLE IF EXISTS `escandall_proces`;
CREATE TABLE IF NOT EXISTS `escandall_proces` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `total` int NOT NULL,
  `id_escandall` bigint NOT NULL,
  `id_proces` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UKevxuhoj0q1hjo06lljdxntc8u` (`id_escandall`,`id_proces`),
  KEY `FKoda63cnbur5vo4fvbgbspl829` (`id_proces`),
  CONSTRAINT `FK9ni9ppxwwssrtxrx1olrrnw8v` FOREIGN KEY (`id_escandall`) REFERENCES `escandalls` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FKoda63cnbur5vo4fvbgbspl829` FOREIGN KEY (`id_proces`) REFERENCES `processos` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.escandall_proces: ~4 rows (aproximadamente)
/*!40000 ALTER TABLE `escandall_proces` DISABLE KEYS */;
INSERT INTO `escandall_proces` (`id`, `total`, `id_escandall`, `id_proces`) VALUES
	(1, 25, 2, 2),
	(2, 10, 3, 2),
	(3, 2, 3, 3),
	(4, 5, 3, 5);
/*!40000 ALTER TABLE `escandall_proces` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.escandall_teixit
DROP TABLE IF EXISTS `escandall_teixit`;
CREATE TABLE IF NOT EXISTS `escandall_teixit` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `total` decimal(19,2) NOT NULL,
  `id_escandall` bigint NOT NULL,
  `id_teixit` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UKaai5nn3gtp6kq9r8j5nucmrb4` (`id_escandall`,`id_teixit`),
  KEY `FKsd2yvusng0kregh1lin9wscwo` (`id_teixit`),
  CONSTRAINT `FK1unwywlmux68saoevmohayexn` FOREIGN KEY (`id_escandall`) REFERENCES `escandalls` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FKsd2yvusng0kregh1lin9wscwo` FOREIGN KEY (`id_teixit`) REFERENCES `teixits` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.escandall_teixit: ~2 rows (aproximadamente)
/*!40000 ALTER TABLE `escandall_teixit` DISABLE KEYS */;
INSERT INTO `escandall_teixit` (`id`, `total`, `id_escandall`, `id_teixit`) VALUES
	(4, 0.90, 3, 2),
	(5, 0.50, 2, 3);
/*!40000 ALTER TABLE `escandall_teixit` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.fornitures
DROP TABLE IF EXISTS `fornitures`;
CREATE TABLE IF NOT EXISTS `fornitures` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cost` decimal(6,2) NOT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  `estoc` int NOT NULL,
  `nom` varchar(32) NOT NULL,
  `referencia` varchar(8) DEFAULT NULL,
  `ubicacio` varchar(45) DEFAULT NULL,
  `id_proveidor` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_liml9n7shbcvsnvxu9sl8okmq` (`nom`),
  KEY `FKryh1eeuqiigd3n6ibr1ul5ey1` (`id_proveidor`),
  CONSTRAINT `FKryh1eeuqiigd3n6ibr1ul5ey1` FOREIGN KEY (`id_proveidor`) REFERENCES `proveidors` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.fornitures: ~2 rows (aproximadamente)
/*!40000 ALTER TABLE `fornitures` DISABLE KEYS */;
INSERT INTO `fornitures` (`id`, `cost`, `descripcio`, `estoc`, `nom`, `referencia`, `ubicacio`, `id_proveidor`) VALUES
	(1, 0.02, 'Botons color negre\r\nample=1cm', 89, 'Botons negres HB1', 'F00001', 'K3', 8),
	(2, 1.15, 'Cremallera gruixuda. 2x10', 7, 'Cremallera DOCKA', 'F00002', '', 8);
/*!40000 ALTER TABLE `fornitures` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.materials
DROP TABLE IF EXISTS `materials`;
CREATE TABLE IF NOT EXISTS `materials` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `codi` varchar(3) NOT NULL,
  `nom` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_8o5ckkggph917ry6msb6k2v8q` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.materials: ~17 rows (aproximadamente)
/*!40000 ALTER TABLE `materials` DISABLE KEYS */;
INSERT INTO `materials` (`id`, `codi`, `nom`) VALUES
	(1, 'WV', 'Llana Verge'),
	(2, 'CO', 'Cotó'),
	(3, 'PL', 'Polyèster'),
	(4, 'SE', 'Seda'),
	(5, 'EA', 'Elastà'),
	(6, '', 'Bambú'),
	(7, 'WA', 'Angora'),
	(8, 'WK', 'Camell'),
	(9, 'WS', 'Caixmir'),
	(10, 'WM', 'Mohair'),
	(11, 'HS', 'Pèl de caball'),
	(12, 'WB', 'Castor'),
	(13, 'WP', 'Alpaca'),
	(14, 'WO', 'Llana regenerada'),
	(15, 'CO', 'Cotó orgànic'),
	(16, 'LI', 'Lli'),
	(17, 'VI', 'Viscosa');
/*!40000 ALTER TABLE `materials` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.processos
DROP TABLE IF EXISTS `processos`;
CREATE TABLE IF NOT EXISTS `processos` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cost` decimal(6,2) NOT NULL,
  `nom` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_odabs1kgxjlao816swtntk3vl` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.processos: ~5 rows (aproximadamente)
/*!40000 ALTER TABLE `processos` DISABLE KEYS */;
INSERT INTO `processos` (`id`, `cost`, `nom`) VALUES
	(1, 0.10, 'Confecció a mà'),
	(2, 0.12, 'Confecció a màquina'),
	(3, 0.10, 'Tall'),
	(4, 0.10, 'Nuar'),
	(5, 0.12, 'Planxa');
/*!40000 ALTER TABLE `processos` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.proveidors
DROP TABLE IF EXISTS `proveidors`;
CREATE TABLE IF NOT EXISTS `proveidors` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `descripcio` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `localitzacio` varchar(255) DEFAULT NULL,
  `nom` varchar(32) NOT NULL,
  `telefon` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_4ro0mnfk6844tasvabscdson2` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.proveidors: ~8 rows (aproximadamente)
/*!40000 ALTER TABLE `proveidors` DISABLE KEYS */;
INSERT INTO `proveidors` (`id`, `descripcio`, `email`, `localitzacio`, `nom`, `telefon`) VALUES
	(1, 'Teixeduria teixits tècnics', 'operacions@technitiger.com', 'C/ mestre franscesc vila, 15 B \r\nCastellbell i el Vilar', 'Tecnitiger S.L.', '938340199'),
	(2, 'Logística de teixits de diferents proveïdors', 'trans@castellar.com', 'Castellar del Valles', 'Trans Castellar', '937140000'),
	(3, 'Mostres de banderes', 'info@monteoliveto.net', 'Via Per Bizzarone, 27, \r\n22077 Olgiate Comasco CO, Italia', 'Monteoliveto SPA', '+39031994242'),
	(4, 'Cotó orgànic', 'phil@organiccotton.biz', 'Organic Textile Company Unit 4 \r\nDyfi Eco Park Machynlleth SY20 8AX', 'Organic Textile Company', '+01654700002'),
	(5, 'Teixits exclusius', 'shop@gratacos.com', 'Carrer de la Riera de Sant Miquel, 9, \r\n08006 Barcelona', 'Gratacós', '932387350'),
	(6, 'Venta teixits al major i al detall', 'info@ribesicasals.com', 'Roger de Llúria, 7 \r\n08010 Barcelona', 'Ribes & Casals', '933012345'),
	(7, 'Telas, tienda de telas, costura.', 'info@arttaller.com', 'Carrer del Molí, 4, 08211 \r\nCastellar del Vallès, Barcelona', 'Arttaller', '647441302'),
	(8, 'Snaps metàl·lics i altres fornitures', 'info@noualavedra.com', 'Carrer de Gràcia, 140, \r\n08201 Sabadell, Barcelona', 'Nou Alavedra', '937252349');
/*!40000 ALTER TABLE `proveidors` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.teixits
DROP TABLE IF EXISTS `teixits`;
CREATE TABLE IF NOT EXISTS `teixits` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `ample` decimal(4,2) NOT NULL,
  `cost` decimal(6,2) NOT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  `estoc` decimal(8,2) NOT NULL,
  `gramatge` decimal(8,2) DEFAULT NULL,
  `lligat` varchar(25) NOT NULL,
  `nom` varchar(32) NOT NULL,
  `referencia` varchar(8) DEFAULT NULL,
  `ubicacio` varchar(45) DEFAULT NULL,
  `id_proveidor` bigint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_iskxift21wploakquq04m44wq` (`nom`),
  KEY `FK2toe8npk73lfn12gyjycxkix5` (`id_proveidor`),
  CONSTRAINT `FK2toe8npk73lfn12gyjycxkix5` FOREIGN KEY (`id_proveidor`) REFERENCES `proveidors` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.teixits: ~4 rows (aproximadamente)
/*!40000 ALTER TABLE `teixits` DISABLE KEYS */;
INSERT INTO `teixits` (`id`, `ample`, `cost`, `descripcio`, `estoc`, `gramatge`, `lligat`, `nom`, `referencia`, `ubicacio`, `id_proveidor`) VALUES
	(1, 1.80, 27.00, 'Punt cotó. Blanc i negre.', 12.00, 120.00, 'PUNT', 'Fleece Stripes', 'T00001', 'A2', 6),
	(2, 1.80, 16.00, 'Punt cotó. Blanc, negre.', 9.00, 110.00, 'PUNT', 'Velour', 'T00002', 'A2', 4),
	(3, 1.65, 11.00, 'Punt samarreta, multicolor.', 29.00, 140.00, 'PUNT', 'Jerper Susey', 'T00003', 'A2', 4),
	(4, 1.00, 2.00, '', 11.00, NULL, 'PUNT', 'Portest', 'T00004', '', 1);
/*!40000 ALTER TABLE `teixits` ENABLE KEYS */;

-- Volcando estructura para tabla ebdb.usuaris
DROP TABLE IF EXISTS `usuaris`;
CREATE TABLE IF NOT EXISTS `usuaris` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `nom` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `estat` varchar(10) NOT NULL,
  `password` varchar(100) NOT NULL,
  `rol` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_drebikdsifq37sd8h4f7dqb9d` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- Volcando datos para la tabla ebdb.usuaris: ~5 rows (aproximadamente)
/*!40000 ALTER TABLE `usuaris` DISABLE KEYS */;
INSERT INTO `usuaris` (`id`, `nom`, `estat`, `password`, `rol`) VALUES
	(1, 'admin', 'ACTIU', '$2a$10$Bs4bT2/RwtTbR/bw/pjYCOCph6P1hLJ9ujhmVYa7Dc5B8RMmB9plC', 'ROLE_ADMINISTRADOR'),
	(2, 'confeccionista#1', 'ACTIU', '$2a$10$HbDANHG3PwIj65uAgTOFAOdv6dZ./FsAK15mlnYTxeYew9ADqCxA.', 'ROLE_CONFECCIONISTA'),
	(3, 'tallador#1', 'ACTIU', '$2a$10$0DkmpdKAfvS0gdnIBc9o1OtfZ7jg0KhJjTcH2RkkQmEk7x5ByW25K', 'ROLE_TALLADOR'),
	(4, 'magatzem#1', 'ACTIU', '$2a$10$Nc0XnYH.NhXduQxHfHodpOVlRp8CxyzklHPLLbb5omTk./fWNrP3G', 'ROLE_MAGATZEM'),
	(5, 'inactiu#1', 'INACTIU', '$2a$10$v.rFGS5jh998pPKYjvh7N.93Fa28v8ZY3KxfP./xM5gceYVPC60B.', 'ROLE_TALLADOR');
/*!40000 ALTER TABLE `usuaris` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
