package com.uoc.textiller.repository;

import java.util.List;

import com.uoc.textiller.model.Proces;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 * Interfície Repositori JPA de Proces
 * @author lrodriguezmos@uoc
 */
public interface ProcesRepository extends JpaRepository<Proces, Long> {
    
    public Proces findByNom(String nom);

    @Query("SELECT p FROM Proces p WHERE p.nom LIKE %?1%")
    public List<Proces> findByKeyword(String keyword);
}
